Update directory listing
PATCH
/v1/directory_listings/{id}
const url = 'http://api.disclosebot.localdev:3000/v1/directory_listings/example';const options = { method: 'PATCH', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/vnd.api+json'}, body: '{ "data": { "type": "example", "attributes": { "visible": true } } }'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PATCH \ --url http://api.disclosebot.localdev:3000/v1/directory_listings/example \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/vnd.api+json' \ --data '{ "data": { "type": "example", "attributes": { "visible": true } } }'Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” id
required
string
Request Body required
Section titled “Request Body required ” Media type application/vnd.api+json
object
data
required
object
type
string
attributes
object
visible
boolean
Example generated
{ "data": { "type": "example", "attributes": { "visible": true } }}Responses
Section titled “ Responses ”Successful
Unauthorized